echo off
cls
if not exist duke3d.exe goto error

:menu
cls
echo.
echo -------------------------------------------------------------------------------
echo         ========- Stargate SG-1 TC: In the hands of a serpent -========           
echo -------------------------------------------------------------------------------
echo.
echo.
echo.
echo                       A)     Install STARGATE SG-1
echo                       B)     Uninstall STARGATE SG-1
echo                       C)     Single Player SG-1
echo                       D)     GateMatch (DukeMatch)
echo                       E)     View Readme
echo                       F)     Exit
echo.
echo.
echo.
echo.
echo.

if exist sg.on echo STARGATE SG-1 - INSTALLED
if exist sg.off echo STARGATE SG-1 - NOT INSTALLED

choice /c:abcdef
if errorlevel 6 goto exit
if errorlevel 5 goto readme
if errorlevel 4 goto dm
if errorlevel 3 goto si
if errorlevel 2 goto uninstall
if errorlevel 1 goto install 

:error
echo.
echo You must be in the wrong directory!
echo.
goto end

:exit
goto end

:readme
echo ----------------------------------------------------------------------
echo .  S       T       A       R               G       A       T       E .
echo .                                                                    .
echo .                      In the Hands of the Serpent                   .
echo ----------------------------------------------------------------------
echo .              3 Whole new episodes and art for Duke3D!              .
echo .                                                                    .
echo .   for Duke Nukem 3D                                                .
echo .                    by David G. Paul                                .
echo .                                                                    .
echo .   After the death of Ra, the Gh'oalds have been angered and have   .
echo . prepared to attack earth. You as the sole defender of the US must  .
echo . use the Stargate to find evrything you need before challenging the .
echo . Gh'oald aboard their attack ships heading for earth. The Jaffa     .
echo . have been scattered on planets like Chu'lak, and Abydos to try     .
echo . and thwart your plans. Stop them or die trying......               .
echo ----------------------------------------------------------------------
echo .WARNING:                                                            .
echo .                                                                    .
echo .ALL SG-1 FILES MUST BE IN THE \DUKE3D\MAPS\TC\SG-1 directory to run .
echo ----------------------------------------------------------------------
pause
Loading DATA File...
type sg1.txt |more
cls
goto menu

:p2
echo.
echo STARGATE SG-1 IS NOT INSTALLED !
echo.
pause
goto menu

:uninstall
if exist SG.off goto p2
echo.
echo Are you shure you want to uninstall STARGATE SG-1
echo. 
choice /c:yn
if errorlevel 2 goto menu
if errorlevel 1 goto remove2

:remove2
cls
echo.
echo Uninstalling STARGATE SG-1
echo [ CTRL+C to stop ] 
echo.
cd maps\tc\sg-1

del staffire.voc

del game.con
del SGuser.con
del SGdefs.con

del demo1.dmo

del tiles000.art

del SG*.map

del Theme.mid

del logo.anm

if exist game.co rename game.co game.con
if exist demo1.dm rename demo1.dm demo1.dmo
if exist demo1.dm rename demo1.dm demo2.dmo

rename SG.on SG.off
echo.
echo Your Duke3D files have been restored...
echo.
goto end


:p1
echo.
echo STARGATE SG-1 is already installed!
echo.
pause
goto menu

:install
if exist SG.on goto p1
cls
echo.
echo Getting ready to install STARGATE SG-1
echo.
echo.
echo.
echo Do you wish to proceed with installation?
choice /c:yn
if errorlevel 2 goto menu
if errorlevel 1 goto letsgo 

:Letsgo
echo.
echo The installer is ready to begin.
echo.
pause
echo Backing up your Duke3D files...
echo.

if exist game.con rename game.con game.co

if exist demo1.dmo rename demo1.dmo demo1.dm
if exist demo2.dmo rename demo2.dmo demo2.dm
if exist tiles000.art rename tiles000.art tiles000.arb
if exist tiles001.art rename tiles001.art tiles001.arb
if exist tiles002.art rename tiles002.art tiles002.arb
if exist tiles003.art rename tiles003.art tiles003.arb
if exist tiles004.art rename tiles004.art tiles004.arb
if exist tiles005.art rename tiles005.art tiles005.arb
if exist tiles006.art rename tiles006.art tiles006.arb
if exist tiles007.art rename tiles007.art tiles007.arb
if exist tiles008.art rename tiles008.art tiles008.arb
if exist tiles009.art rename tiles009.art tiles009.arb
if exist tiles0010.art rename tiles0010.art tiles0010.arb
if exist tiles0011.art rename tiles0011.art tiles0011.arb
if exist tiles0012.art rename tiles0012.art tiles0012.arb
if exist tiles0013.art rename tiles0013.art tiles0013.arb
if exist tiles0014.art rename tiles0014.art tiles0014.arb
if exist tiles0015.art rename tiles0015.art tiles0015.arb
cd\duke3d
echo Done.
echo.
pause

echo Installing STARGATE SG-1
echo.
rename SG.DAT SG.zip
pkunzip SG1.zip maps\tc\sg-1
echo.
rename SG.zip SG.DAT
echo.
echo Checking authenticity of SG1 DATA...
echo.
cd maps\tc\sg-1

if not exist game.con echo file corrupted!
if not exist sguser.con echo file corrupted!
if not exist sgdefs.con echo file corrupted!

if not exist demo1.dmo echo file corrupted!

if not exist home1.map echo file corrupted!

echo Done.
echo.
rename SG.off SG.on
echo Installation complete !
echo.
pause
cls
goto menu

:si
move maps\tc\sg-1\*.* \duke3d
rename *.sgm *.map
rename *.sga *.art
rename *.sgc *.con
rename *.sgi *.mid
rename *.sgw *.wav
rename *.sg1 *.h
move *.map \duke3d
move *.art \duke3d
move *.con \duke3d
move *.mid \duke3d
move *.wav \duke3d
move *.sg1 \duke3d
cd\duke3d
duke3d
rename *.map *.sgm
rename *.art *.sga
rename *.con *.sgc
rename *.mid *.sgi
rename *.wav *.sgw
rename *.h *.sg1
move *.sgm maps\tc\sg-1
move *.sga maps\tc\sg-1
move *.sgc maps\tc\sg-1
move *.sgi maps\tc\sg-1
move *.sgw maps\tc\sg-1
move *.sg1 maps\tc\sg-1
goto menu

:dm
move maps\tc\sg-1\*.* \duke3d
rename *.sgm *.map
rename *.sga *.art
rename *.sgc *.con
rename *.sgi *.mid
rename *.sgw *.wav
move *.map \duke3d
move *.art \duke3d
move *.con \duke3d
move *.mid \duke3d
move *.wav \duke3d
move *.sg1 \duke3d
cd\duke3d
duke3d -net
rename *.map *.sgm
rename *.art *.sga
rename *.con *.sgc
rename *.mid *.sgi
rename *.wav *.sgw
rename *.h *.sg1
move *.sgm maps\tc\sg-1
move *.sga maps\tc\sg-1
move *.sgc maps\tc\sg-1
move *.sgi maps\tc\sg-1
move *.sgw maps\tc\sg-1
move *.sg1 maps\tc\sg-1
goto menu

:end
echo.
echo Stargate SG-1 TC: In the hands of a serpent
echo by David G. Paul (Amlar) of Amlar and New Earth Publications
echo.
echo E-mail me at: amlar@newearth3.freeserve.co.uk
echo Visit my site at: http://www.newearth3.freeserve.co.uk
echo.               &  http://www.newearth3/freeserve.co.uk/duke3d
echo.
